DTRACE_CAM(4)

NAME
dtrace_cam - a DTrace provider for tracing events related to CAM

SYNOPSIS
cam::xpt:action(union ccb *ccn);
cam::xpt:done(union ccb *ccb);
cam::xpt:async-cb(void *cbarg, uint32_t async_code, struct cam_path *path, void *async_Arg);

DESCRIPTION
The cam provider allows the tracing of CAM events. The cam::xpt_action() probe fires when a CAM Control Block (ccb) is submitted to a CAM SIM driver. The cam::xpt:done() probe fires when that request completes. The cam::xpt:async-cb() probe fires just before an async callback is called.

SEE ALSO
dtrace(1), cam(4), SDT(9)

HISTORY
The cam provider first appeared in FreeBSD 15.1 and 16.0.

AUTHORS
This manual page was written by Warner Losh <imp@FreeBSD.org>.